package com.jenny.magic.config;

import net.minecraftforge.common.ForgeConfigSpec;
import net.minecraftforge.fml.common.Mod;

import static com.jenny.magic.Magic.MODID;

@Mod.EventBusSubscriber(modid = MODID, bus = Mod.EventBusSubscriber.Bus.MOD)
public class ConfigServer {
    public static final ForgeConfigSpec SPEC;
    public static final ForgeConfigSpec.ConfigValue<Integer> C_TELEPORT_SCROLL_RANGE, C_TELEPORT_SCROLL_RANGE_RANDOM;
    private static final ForgeConfigSpec.Builder BUILDER = new ForgeConfigSpec.Builder();

    static {
        C_TELEPORT_SCROLL_RANGE =
                BUILDER.comment("maximum range for all targeted teleport scrolls; 0 = infinite")
                        .defineInRange("scroll_teleport_range", 0, 0, 60000000);
        C_TELEPORT_SCROLL_RANGE_RANDOM =
                BUILDER.comment("maximum range for all teleport scrolls with random targets")
                        .defineInRange("scroll_teleport_random_range", 30000000, 0, 30000000);

        SPEC = BUILDER.build();
    }
}
